Page MenuHomePhabricator

Comb Amazon out of our Mustache
Closed, ResolvedPublic1 Story Points

Description

Undo the mistakes made in the rush to get Amazon in Mustache. It's better to have amazon.js create a couple of divs with jQuery than it is to have atrocious is_amazon variables. Also go back to using x_required context variables rather than deeply nested method_metadata.validation.x.

This will make it easier to merge the Amazon branch on top of the form changes made for Worldpay.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : amazonBring Amazon branch back to normal Mustache templates

Event Timeline

Ejegg created this task.Sep 3 2015, 6:26 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 6:26 PM
Ejegg set Security to None.
Ejegg edited a custom field.
Ejegg claimed this task.Sep 15 2015, 5:08 PM

Change 238661 had a related patch set uploaded (by Ejegg):
Bring Amazon branch in line with WP templating

https://gerrit.wikimedia.org/r/238661

Change 238661 merged by jenkins-bot:
Bring Amazon branch back to normal Mustache templates

https://gerrit.wikimedia.org/r/238661

Ejegg closed this task as Resolved.Sep 18 2015, 8:12 PM